JComments installation problem

This forum is for general questions about extensions for Joomla! 3.x.

Moderators: pe7er, General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Windows Defender SmartScreen Issues <-- please read this if using Windows 10.
Post Reply
sakanet
Joomla! Apprentice
Joomla! Apprentice
Posts: 29
Joined: Wed Mar 25, 2009 5:13 pm

JComments installation problem

Post by sakanet » Thu May 21, 2020 10:06 pm

Hi!

7-8 months ago, I installed JComments then for whatever reason I uninstalled it.
Today, I wanted to give it another try but it gives me the following message during installation:

Code: Select all

Deprecated : Array and string offset access syntax with curly braces is deprecated in /home/benim412/public_html/tmp/install_5ec6f8808c2f8/script.jcomments.php on line 293 {"success":true,"message":null,"messages":{"message":["Installation of the component was successful."]},"data":{"redirect":"\/administrator\/index.php?option=com_installer&view=install"}}
I was wondering if anyone could help or suggest a decent Comments extension.

Thanks in advance!

 
User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 8956
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: JComments [PHP 7.4] "Array and string offset access syntax with curly braces is deprecated"

Post by sozzled » Thu May 21, 2020 10:19 pm

This error occurs with PHP 7.4; that's where the message about the deprecated use of curly braces for arrays and string offset comes from.

My question to you is simple: which version of JComments are you using? Are you using the version from the original developer or are you using the patched version from https://github.com/exstreme
https://www.kuneze.com/blog
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)

sakanet
Joomla! Apprentice
Joomla! Apprentice
Posts: 29
Joined: Wed Mar 25, 2009 5:13 pm

Re: JComments installation problem

Post by sakanet » Fri May 22, 2020 8:36 pm

Hi Sozzled,
Thanks for the quick response!
I am using the version from Joomla Extensions.

User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 8956
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: JComments installation problem

Post by sozzled » Fri May 22, 2020 8:42 pm

The package, available from the JED, is known to be not fully compatible with PHP 7.2+. I suggest you try the installation from the other source.

I haven't tried installing the "patched-for-PHP-7 version" of JComments with PHP 7.4 myself. I know that it installs with PHP 7.2 and PHP 7.3.

I also imagine that other products, listed on the JED, will result in those warning messages about the deprecated use of curly braces with array offsets ever since the PHP specification changed with the release of PHP 7.4 (see the announcement here: https://wiki.php.net/rfc/deprecate_curl ... ray_access).
https://www.kuneze.com/blog
“If you think I’m wrong then say, ‘I think you’re wrong.’ If you say ‘You’re wrong!’, how do you know?” :)

sakanet
Joomla! Apprentice
Joomla! Apprentice
Posts: 29
Joined: Wed Mar 25, 2009 5:13 pm

Re: JComments installation problem

Post by sakanet » Sun May 24, 2020 8:54 pm

Thank you sozzled! I will just look for a different solution.

 

Post Reply

Return to “Extensions for Joomla! 3.x”